%ifnos darwin
%define __defattr %defattr(-, root, root)
%define __etcdir  /etc
%else
%define __defattr %defattr(-, root, wheel)
%define __etcdir  /private/etc
%endif
%define tarname gtk+-1.2.10

# Note that this is NOT a relocatable package
Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Name: gtk+
Version: 1.2.10
Release: 5a
Epoch: 1
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gimp.org/pub/gtk/v1.2/%{tarname}.tar.gz
Source1: gtkrc-default
Source2: gtk+-po.tar.gz

Patch1: gtk+-1.2.6-ahiguti.patch
Patch5: gtk+-1.2.8-wrap-alnum.patch
# Supress alignment warnings on ia64
Patch10: gtk+-1.2.10-alignment.patch
# Improve exposure compression
Patch11: gtk+-1.2.10-expose.patch
# Handle focus tracking for embedded window properly
Patch12: gtk+-1.2.10-focus.patch
# Find gtkrc files for the current encoding better
Patch13: gtk+-1.2.10-encoding.patch
# Don't screw up CTEXT encoding for UTF-8
Patch14: gtk+-1.2.10-ctext.patch
# Don't warn about missing fonts for UTF-8
Patch15: gtk+-1.2.10-utf8fontset.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: gtk

URL: http://www.gtk.org
Requires: glib >= %{version}
BuildPreReq: glib >= %{version}

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for
creating graphical user interfaces for the X Window System.  GTK+ was
originally written for the GIMP (GNU Image Manipulation Program) image
processing program, but is now used by several other programs as well.

If you are planning on using the GIMP or another program that uses
GTK+, you'll need to have the gtk+ package installed.

%package devel
Summary: Development tools for GTK+ (GIMP ToolKit) applications.
Group: Development/Libraries
Requires: gtk+ = %{version}
Requires: glib-devel
%ifnos darwin
Requires: XFree86-devel
%endif
Obsoletes: gtk-devel
%ifnos darwin
PreReq: /sbin/install-info
%endif

%description devel
The gtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications.  The
gtk+-devel package contains glib (a collection of routines for
simplifying the development of GTK+ applications), GDK (the General
Drawing Kit, which simplifies the interface for writing GTK+ widgets
and using GTK+ widgets in applications), and GTK+ (the widget set).

Install gtk+-devel if you need to develop GTK+ applications.  You'll
also need to install the gtk+ package.
%prep
%setup -q -n %{tarname}

%patch1 -p1 -b .ahiguti
%patch5 -p1 -b .alnum
%patch10 -p1 -b .alignment
%patch11 -p1 -b .expose
%patch12 -p1 -b .focus
%ifnos darwin
%patch13 -p1 -b .encoding
%patch14 -p1 -b .ctext
%patch15 -p1 -b .utf8fontset
%endif


tar zxf %{SOURCE2}
automake

%build

%ifnos darwin
%configure --with-xinput=xfree --with-native-locale
make
%else
cp /usr/share/libtool/{config.*,lt*} .
./configure --prefix=%{_usr} --sysconfdir=%{__etcdir} --with-xinput=xfree --with-native-locale
make CC="gcc -traditional-cpp"
%endif

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
%ifnos darwin
%makeinstall
%else
make install prefix=$RPM_BUILD_ROOT%{_usr} sysconfdir=$RPM_BUILD_ROOT%{__etcdir}
%endif

#
# Make cleaned-up versions of examples and tutorial for installation
#
./mkinstalldirs tmpdocs/tutorial
install -c -m 0644 docs/html/gtk_tut.html docs/html/gtk_tut-[0-9]*.html docs/html/*.gif tmpdocs/tutorial
for dir in examples/* ; do
    if [ -d $dir ] ; then
       ./mkinstalldirs tmpdocs/$dir
       for file in $dir/* ; do
          case $file in
	     *pre1.2.7)
	        ;;
	     *)
                install -c -m 0644 $file tmpdocs/$dir
		;;
	  esac
       done
    fi
done

install -c -m 444 %{SOURCE1} $RPM_BUILD_ROOT%{__etcdir}/gtk/gtkrc
gzip $RPM_BUILD_ROOT%{_infodir}/*.info*

%find_lang %name

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%ifnos darwin
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%{__defattr}

%doc AUTHORS COPYING ChangeLog NEWS README TODO
%ifnos darwin
%{_libdir}/libgtk-1.2.so.*
%{_libdir}/libgdk-1.2.so.*
%else
%{_libdir}/lib*.dylib
%endif
%{_datadir}/themes/Default
%config %{__etcdir}/gtk/*

%files devel
%{__defattr}

%ifnos darwin
%{_libdir}/lib*.so
%endif
%{_libdir}/*a
%{_mandir}/man1/*
%{_infodir}/*.info*
%{_includedir}/*
%{_datadir}/aclocal/*
%{_bindir}/*
%doc tmpdocs/tutorial
%doc tmpdocs/examples


%changelog
* Thu Jul 19 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release for MacOS X

* Tue Jul 10 2001 Owen Taylor <otaylor@redhat.com>
- Omit warnings about character sets not found in fontset,
  if current locale is UTF-8 based. (Hack!)

* Tue Jul  3 2001 Owen Taylor <otaylor@redhat.com>
- Add patch for alignment warnings on ia64
- Add from Alex to vastly improve expose compression
- Add patch to fix focus tracking for embedded windows
- Add patch by Pablo Saratxaga to improve encoding handling 
- Add patch to not screw up CTEXT for UTF-8 locales

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- Upped to version 1.2.10

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Fri Mar  9 2001 Owen Taylor <otaylor@redhat.com>
- Fix problem with focus and no window manager running
- Fix freeing NULL event when copying without a current event

* Mon Mar  5 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Mon Mar 05 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.2.9
- Patch to fix problem with menus not popping down

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.2.9pre4

* Wed Feb 28 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.2.9pre3

* Thu Feb 15 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.2.9pre1

* Sat Feb 10 2001 Owen Taylor <otaylor@redhat.com>
- Fix stupid mistake in last version of patch

* Sat Feb 10 2001 Owen Taylor <otaylor@redhat.com>
- New version of theme patch.

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- Japanese ideographs now show up in iswalnum, don't include it in
  the ideograph check (Patch5: gtk+-1.2.8-wrap-alnum.patch)

* Tue Nov 21 2000 Owen Taylor <otaylor@redhat.com>
- Add patch for enabling better themes

* Thu Oct 19 2000 Elliot Lee <sopwith@redhat.com>
- Fix bug in shm patch error handling.

* Fri Aug 18 2000 Jakub Jelinek <jakub@redhat.com>
- fix GtkClist bug

* Sat Aug 12 2000 Owen Taylor <otaylor@redhat.com>
- Add patch to reduce shm segment usage from 6 to 1

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 19 2000 Owen Taylor <otaylor@redhat.com>
- Add BuildPreReq on glib = %{version}

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun  9 2000 Matt Wilson <msw@redhat.com>
- rebuilt with corrected compiler to fix ABI breakage
- FHS packaging.

* Thu May 25 2000 Owen Taylor <otaylor@redhat.com>
- Version 1.2.8

* Fri May 12 2000 Matt Wilson <msw@redhat.com>
- reapply gtkrc fixes for various locales

* Mon May  1 2000 Matt Wilson <msw@redhat.com>
- build package version 1.2.7

* Mon Feb 21 2000 Owen Taylor <otaylor@redhat.com>
- Fix weird excess " problem that somehow turned up in /etc/gtkrc.LANG

* Mon Feb 14 2000 Owen Taylor <otaylor@redhat.com>
- More patches from 1.2.7

* Fri Feb 04 2000 Owen Taylor <otaylor@redhat.com>
- Set the charset explicitely for the default font to avoid
  problems with XFree86-4.0 where the default charset is
  iso10646-1, not iso8859-1.
- Fix problems with size requisitions for scrolled windows
  that was causing looping. (RH bug #7997)

* Thu Feb 03 2000 Owen Taylor <otaylor@redhat.com>
- Explicitely set the foreground of the tooltips to black
  to avoid bad interactions with themes that set a
  light foreground color.

* Thu Feb 03 2000 Owen Taylor <otaylor@redhat.com>
- Added large patch of bugfixes in stable branch of CVS

* Tue Oct 12 1999 Owen Taylor <otaylor@redhat.com>
- Added Akira Higuti's patch for line-wrapping in GTK+

* Thu Oct 7  1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.6

* Thu Sep 23 1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.5
- install tutorial GIFs

* Wed Sep 22  1999 Owen Taylor <otaylor@redhat.com>
- Upgrade to real 1.2.5pre2
- Changed name so upgrade to 1.2.5 will work :-(
- Add extra gtkrc files
- Add examples and English language tutorial to -devel package

* Fri Sep 17 1999 Owen Taylor <otaylor@redhat.com>
- Upgraded to 1.2.5pre2. (Actually, pre-pre-2)

* Tue Aug 17 1999 Michael Fulbright <drmike@redhat.com>
- added threaded patch

* Mon Jun 7 1999 Owen Taylor <otaylor@redhat.com>
- Update for GTK+-1.2.3
- Patches that will be in GTK+-1.2.4
- Patch to keep GTK+ from coredumping on X IO errors
- Patch to improve compatilibity with GTK-1.2.1 (allow
  event mask to be set on realized widgets)

* Mon Apr 19 1999 Michael Fulbright <drmike@redhat.com>
- fixes memory leak

* Mon Apr 12 1999 Owen Taylor <otaylor@redhat.com>
- The important bug fixes that will be in GTK+-1.2.2

* Thu Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- patches from owen to handle various gdk bugs

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- added XFree86-devel requirement for gtk+-devel

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.1

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- removed /usr/info/dir.gz file from package

* Fri Feb 26 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.2.0

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.0pre2, patched to use --sysconfdir=/etc

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- patched in Owen's patch to fix Metal theme

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- added Theme directory to file list
- up to 1.1.7 for GNOME freeze

* Sun Oct 25 1998 Shawn T. Amundson <amundson@gtk.org>
- Fixed Source: to point to v1.1 

* Tue Aug 04 1998 Michael Fulbright <msf@redhat.com>
- change %postun to %preun

* Mon Jun 27 1998 Shawn T. Amundson
- Changed version to 1.1.0

* Thu Jun 11 1998 Dick Porter <dick@cymru.net>
- Removed glib, since it is its own module now

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

* Tue Apr  8 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.0

* Tue Apr  7 1998 Owen Taylor <otaylor@gtk.org>
- Changed version to 0.99.10

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.9
- Changed gtk home page to www.gtk.org

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.8

* Sun Mar 15 1998 Marc Ewing <marc@redhat.com>
- Added aclocal and bin stuff to file list.
- Added -k to the SMP make line.
- Added lib/glib to file list.

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.7

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Updated ftp url and changed version to 0.99.6

* Thu Mar 12 1998 Marc Ewing <marc@redhat.com>
- Reworked to integrate into gtk+ source tree
- Truncated ChangeLog.  Previous Authors:
  Trond Eivind Glomsrod <teg@pvv.ntnu.no>
  Michael K. Johnson <johnsonm@redhat.com>
  Otto Hammersmith <otto@redhat.com>
  
